org.codehaus.plexus.component.repository

## Class ComponentProfileDescriptor

- java.lang.Object
- - org.codehaus.plexus.component.repository.ComponentProfileDescriptor

    public class ComponentProfileDescriptor
    extends Object

Version:
  $Id: ComponentProfileDescriptor.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`ComponentProfileDescriptor()`

### Method Summary

Methods
`String` `getComponentComposerId()`
`String` `getComponentFactoryId()`
`String` `getComponentManagerId()`
`String` `getLifecycleHandlerId()`
`void` `setComponentComposerId(String componentComposerId)`
`void` `setComponentFactoryId(String componentFactoryId)`
`void` `setComponentManagerId(String componentManagerId)`
`void` `setLifecycleHandlerId(String lifecycleHandlerId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentProfileDescriptor

    public ComponentProfileDescriptor()

### Method Detail

#### getComponentFactoryId

    public String getComponentFactoryId()

#### setComponentFactoryId

    public void setComponentFactoryId(String componentFactoryId)

#### getLifecycleHandlerId

    public String getLifecycleHandlerId()

#### setLifecycleHandlerId

    public void setLifecycleHandlerId(String lifecycleHandlerId)

#### getComponentManagerId

    public String getComponentManagerId()

#### setComponentManagerId

    public void setComponentManagerId(String componentManagerId)

#### getComponentComposerId

    public String getComponentComposerId()

#### setComponentComposerId

    public void setComponentComposerId(String componentComposerId)